Fetch heatmap answers by project
Analysis / Question Dashboard
Fetch heatmap answers by project
Description
Get heatmap question reactions points for the question passed in url or request body.
Payload
{
"fromDate": string,
"toDate": string,
"filter": array,
"projectId": string,
"questionId": string,
}
where:
fromDate: start date in ISO format. (Required).toDate: end date in ISO format. (Required).filter: array of filters to filter the responses. (Optional).projectId: project unique identifier. Only used in case projectId is missing as query param(Optional).questionId: Identifier to get all answers related to that question. Only used if there is no questionId on requested url (Optional).
Response
200 OK
{
"projectId": string,
"fromDate": string,
"toDate": string,
"filter": array,
"questionId": string,
"responses": array,
}
where:
fromDate: Starting date to filter responses.toDate: End date to filter responses.filter: List of filters used to apply to the constant sum answers.projectId: Id of the project this analysis belongs to.questionId: Question Identifier used to get the answers.responses: An array of reaction data containing an object.responses[]: An object with thequestionId,valueandcoordinatesof the reaction.
401 Unauthorized
Invalid authorization.
404 Not Found
Resource not found.
500 Internal Server Error
Error occurred in the service.
POST
Fetch heatmap answers by project
Description
Get heatmap question reactions points for the question passed in url or request body.Payload
fromDate: start date in ISO format. (Required).toDate: end date in ISO format. (Required).filter: array of filters to filter the responses. (Optional).projectId: project unique identifier. Only used in case projectId is missing as query param(Optional).questionId: Identifier to get all answers related to that question. Only used if there is no questionId on requested url (Optional).
Response
200 OK
fromDate: Starting date to filter responses.toDate: End date to filter responses.filter: List of filters used to apply to the constant sum answers.projectId: Id of the project this analysis belongs to.questionId: Question Identifier used to get the answers.responses: An array of reaction data containing an object.responses[]: An object with thequestionId,valueandcoordinatesof the reaction.
401 Unauthorized
Invalid authorization.
404 Not Found
Resource not found.
500 Internal Server Error
Error occurred in the service.